# Project: conv_anim
# Makefile created by Dev-C++ 4.9.8.7

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = main.o rle.o delta.o readbmp.o color.o lzss.o tilefilter.o $(RES)
LINKOBJ  = main.o rle.o delta.o readbmp.o color.o lzss.o tilefilter.o $(RES)
LIBS =  -L"D:/Programme/Dev-Cpp/lib" 
INCS =  -I"D:/Programme/Dev-Cpp/include" 
CXXINCS =  -I"D:/Programme/Dev-Cpp/include/c++"  -I"D:/Programme/Dev-Cpp/include/c++/mingw32"  -I"D:/Programme/Dev-Cpp/include/c++/backward"  -I"D:/Programme/Dev-Cpp/include" 
BIN  = conv_anim2.exe
CXXFLAGS = $(CXXINCS)  -O3
CFLAGS = $(INCS)  -O3

.PHONY: all all-before all-after clean clean-custom

all: all-before conv_anim2.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LINKOBJ) -o "conv_anim2.exe" $(LIBS)

main.o: main.c
	$(CC) -c main.c -o main.o $(CFLAGS)

rle.o: rle.c
	$(CC) -c rle.c -o rle.o $(CFLAGS)

delta.o: delta.c
	$(CC) -c delta.c -o delta.o $(CFLAGS)

readbmp.o: readbmp.c
	$(CC) -c readbmp.c -o readbmp.o $(CFLAGS)

color.o: color.c
	$(CC) -c color.c -o color.o $(CFLAGS)

lzss.o: lzss.c
	$(CC) -c lzss.c -o lzss.o $(CFLAGS)

tilefilter.o: tilefilter.c
	$(CC) -c tilefilter.c -o tilefilter.o $(CFLAGS)
